# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXImportCDF

Function

Imports data from an CDF file.

Syntax
`
#include <dx/dx.h>
`

Object DXImportCDF(char *filename, char **variable, int *start, int
*end, int *delta)

Functional Details

Imports data from a CDF (Common Data Format) `filename`. If `variable` is specified, only fields matching the list in `variable` are imported. If `variable` is NULL, all fields are read in and placed in a group. If the CDF contains records, then a series is imported and `start`, `end`, and `delta` can be used to specify which records are imported.

For additional information on the CDF file format, see Appendix B. "Importing Data: File Formats" in IBM Visualization Data Explorer User's Guide.

Return Value

Returns a pointer to the Object or returns NULL and sets an error code.

See Also `DXImportNetCDF, DXImportDX, DXImportCM, DXImportHDF`

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]